return {
    "Exafunction/windsurf.vim",
    event = 'BufEnter',
    enabled = false,
    init = function()
        vim.g.codeium_disable_bindings = 1

        -- Completion
        vim.keymap.set("i", "<S-Enter>", function()
            return vim.fn["codeium#Accept"]()
        end, { expr = true })
        -- Complete next word
        vim.keymap.set("i", "<M-Enter>", function()
            return vim.fn["codeium#AcceptNextWord"]()
        end, { expr = true })
        -- Complete line
        vim.keymap.set("i", "<M-\\>", function()
            return vim.fn["codeium#AcceptNextLine"]()
        end, { expr = true })
        -- Next
        vim.keymap.set("i", "<M-]>", function()
            return vim.fn["codeium#CycleCompletions"](1)
        end, { expr = true })
        -- Previous
        vim.keymap.set("i", "<M-[>", function()
            return vim.fn["codeium#Clear"]()
        end, { expr = true })
    end
}

